Subject: Re: bug#17362: 24.4.50; inconsistent key notation: `ESC' vs `<ESC>'

From: Eli Zaretskii <[email-masked]>
Date: Mon, 28 Apr 2014 18:29:39 +0300

> Date: Mon, 28 Apr 2014 16:49:38 +0200
> From: Dani Moncayo <[email-masked]>
> Cc: [email-masked]
> 
> > Emacs manual: contrast node `Menu Bar' with node `Quitting'.  The former
> > writes `ESC ESC ESC'; the latter writes `<ESC> <ESC> <ESC>'.
> >
> > IMO, the former is preferable.  (Note that (kbd "ESC") and (kbd "<ESC>")
> > both act the same, however.)
> 
> I'd also prefer "ESC" over "<ESC>" but then other strings like
> "<TAB>", "<SPC>", "<RET>" or "<DEL>" should also be changed
> accordingly.

Actually, the distinction should be between "ESC" (or "TAB" or "SPC")
the key vs "ESC ESC ESC" the key sequence typed from the keyboard.  So
not every <FOO> should suddenly become "FOO", it's a judgment call.